[@bigcommerce/checkout-sdk](../README.md) / Extension

# Interface: Extension

## Table of contents

### Properties

- [id](Extension.md#id)
- [name](Extension.md#name)
- [region](Extension.md#region)
- [type](Extension.md#type)
- [url](Extension.md#url)

## Properties

### id

• **id**: `string`

___

### name

• **name**: `string`

___

### region

• **region**: [`ExtensionRegion`](../enums/ExtensionRegion.md)

___

### type

• **type**: [`ExtensionType`](../enums/ExtensionType.md)

___

### url

• **url**: `string`
